## RygelMediaItem

RygelMediaItem — Abstract class representing a MediaItem

## Functions

const gchar * | rygel_media_item_get_description ()
void | rygel_media_item_set_description ()

## Properties

gchar * | description | Read / Write

## Types and Values

#define | RYGEL_TYPE_MEDIA_ITEM
struct | RygelMediaItem
struct | RygelMediaItemClass

## Object Hierarchy

        GObject
        ╰── RygelMediaObject
            ╰── RygelMediaItem
                ╰── RygelMediaFileItem

## Known Derived Interfaces

RygelMediaItem is required by RygelTrackableItem.

## Description

MediaItems must live in a container and may not contain other MediaItems

## Functions

### rygel_media_item_get_description ()

    const gchar *
    rygel_media_item_get_description (RygelMediaItem *self);

Get and return the current value of the "description" property.

#### Parameters

self | the RygelMediaItem instance to query |

#### Returns

the value of the "description" property

### rygel_media_item_set_description ()

    void
    rygel_media_item_set_description (RygelMediaItem *self,
                                      const gchar *value);

Set the value of the "description" property to `value` .

#### Parameters

self | the RygelMediaItem instance to modify |
value | the new value of the "description" property |

## Types and Values

### RYGEL_TYPE_MEDIA_ITEM

    #define RYGEL_TYPE_MEDIA_ITEM (rygel_media_item_get_type ())

The type for RygelMediaItem.

### struct RygelMediaItem

    struct RygelMediaItem;

Abstract class representing a MediaItem

MediaItems must live in a container and may not contain other MediaItems

### struct RygelMediaItemClass

    struct RygelMediaItemClass {
    	RygelMediaObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_MEDIA_ITEM`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“description”` property

      “description”              gchar *

description.

Flags: Read / Write

Default value: NULL